- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# mysqlpp::BeecryptMutex Class Reference

Wrapper around platform-specific mutexes. More...

`#include <beemutex.h>`

List of all members.

## Public Member Functions
| BeecryptMutex () throw (MutexFailed)
| Create the mutex object.
| ~BeecryptMutex ()
| Destroy the mutex.
void | lock () throw (MutexFailed)
| Acquire the mutex, blocking if it can't be acquired immediately.
bool | trylock () throw (MutexFailed)
| Acquire the mutex immediately and return true, or return false if it would have to block to acquire the mutex.
void | unlock () throw (MutexFailed)
| Release the mutex.

## Detailed Description

Wrapper around platform-specific mutexes.

This class is only intended to be used within the library. We don't really want to support this as a general purpose class. If it works for you as-is, that's great, we won't try to stop you. But if you run into a problem that doesn't affect MySQL++ itself, we're not likely to bother enhancing this class to fix the problem.

## Constructor & Destructor Documentation

mysqlpp::BeecryptMutex::BeecryptMutex | ( |  | ) | throw (MutexFailed)

Create the mutex object.

Throws a MutexFailed exception if we can't acquire the lock for some reason. The exception contains a message saying why.

mysqlpp::BeecryptMutex::~BeecryptMutex | ( |  | ) |

Destroy the mutex.

Failures are quietly ignored.

The documentation for this class was generated from the following files:

- beemutex.h
- beemutex.cpp